<ion-content class="ion-padding">
  <div class="login-logo">
    <img src="assets/imgs/icon.png" class="logo_icon" alt="foodies">
    <p class="login-name">{{'Login' | translate}}</p>
    <p class="subTitle">{{'Enter your login detail to' | translate}} <br>
      {{'access your account' | translate}}</p>
  </div>
 
  <ion-list >
    <ion-list-header>
      <ion-label>
        {{'Login With?' | translate}}
      </ion-label>
    </ion-list-header>
  
    <ion-item>
      <ion-label *ngIf="isEmail">{{'Email' | translate}}</ion-label>
      <ion-label *ngIf="isPhone">{{'Phone' | translate}}</ion-label>
      <ion-select value="mail" okText="Okay" (ionChange)="changeMethod($event)" cancelText="Dismiss">
        <ion-select-option value="mail"  >{{'Email' | translate}}</ion-select-option>
        <ion-select-option value="phone" >{{'Log In Phone' | translate}}</ion-select-option>
      </ion-select>
    </ion-item>  
  </ion-list>

  <form #loginForm="ngForm" novalidate>
    <ion-list lines="none" *ngIf="isEmail">
      <ion-item lines="none">
        <ion-input [(ngModel)]="login.email" type="email" [placeholder]="('Email' | translate )" name="email" #email="ngModel"
          spellcheck="false" autocapitalize="off" required>
        </ion-input>
      </ion-item>
      <ion-text color="danger">
        <p [hidden]="email.valid || submitted == false" class="ion-padding-start">
          {{'Email is required' | translate}}
        </p>
      </ion-text>

      <ion-item lines="none">
        <ion-input [(ngModel)]="login.password" name="password" [placeholder]="('Password' | translate )" type="password"
          #password="ngModel" required>
        </ion-input>
      </ion-item>
                 
      <ion-text color="danger">
        <p [hidden]="password.valid || submitted == false" class="ion-padding-start">
          {{'Password is required' | translate}}
        </p>
      </ion-text>
    </ion-list>
    <ion-list lines="none" *ngIf="isPhone">
      <ion-item lines="none" >
        <ion-input [(ngModel)]="phone" name="phone" [placeholder]="('Phone' | translate )" type="number"
          #password="ngModel" required>
        </ion-input>
      </ion-item>      
      <ion-item lines="none" *ngIf="isVerification" >
        <ion-input [(ngModel)]="userCode" name="userCode" [placeholder]="('Verification code' | translate )" type="number"
          #password="ngModel" required>
        </ion-input>
      </ion-item>
    </ion-list>

    <div style="display: flex; justify-content: center; margin-top: 20px;" id="recaptcha-container" ></div>
   

    <ion-row class="ion-no-margin ion-no-padding">
      <ion-col class="ion-no-margin ion-no-padding">
        <p class="frgTag" (click)="resetPass()">{{'Forgot Password?' | translate}}</p>
        <ion-button *ngIf="isEmail" class="btn_class" (click)="onLogin(loginForm)" type="submit" expand="block" [disabled]="isLogin">
          <span *ngIf="!isLogin"> {{'Log In' | translate}}</span>
          <ion-spinner name="circles" *ngIf="isLogin"></ion-spinner>
        </ion-button>    
        <ion-button class="btn_class" *ngIf="isPhone" (click)="onLoginPhone(loginForm)" type="button" expand="block">
          <span>Iniciar Sesion</span>
          <ion-spinner name="circles" *ngIf="isLogin"></ion-spinner>
        </ion-button>    
        <ion-button *ngIf="isVerification" class="btn_class" (click)="validateCode()" type="button" expand="block">
          <span> verificar codigo</span>
          <ion-spinner name="circles" *ngIf="isLogin"></ion-spinner>
        </ion-button>    
      </ion-col>
    </ion-row>
    <div class="btns">
      <img src="assets/imgs/en.png" (click)="changeLng('en')"
        [ngClass]="getClassName() == 'en' ? 'flagActive':'flagDeactive'" alt="">
      <img src="assets/imgs/spanish.png" (click)="changeLng('spanish')"
        [ngClass]="getClassName() == 'spanish' ? 'flagActive':'flagDeactive'" alt="">
    </div>
  </form>